> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get usersremote users

> Returns a list of remote users for your organization.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml get /users/remote_users
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /users/remote_users:
    get:
      tags:
        - users
      description: Returns a list of remote users for your organization.
      operationId: getRemoteUsers
      parameters:
        - description: Filter remote users by their third party provider.
          example:
            - GIT_HUB
          in: query
          name: third_party_provider
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ThirdPartyProviderEnum'
          style: form
        - description: Filter remote users by their user ID.
          example:
            - 32acc112-21ff-4669-91c2-21e27683eaa1
          in: query
          name: user_id
          required: false
          schema:
            items:
              type: string
              format: uuid
            type: array
          style: form
        - description: Filter remote users by their remote ID.
          example:
            - 1234567890
          in: query
          name: remote_id
          required: false
          schema:
            type: array
            items:
              type: string
          style: form
        - description: The pagination cursor value.
          example: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
          explode: true
          in: query
          name: cursor
          required: false
          schema:
            type: string
          style: form
        - description: Number of results to return per page. Default is 200.
          example: 200
          explode: true
          in: query
          name: page_size
          required: false
          schema:
            type: integer
            maximum: 1000
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedRemoteUsersList'
          description: One page worth users in your organization.
      security:
        - BearerAuth: []
components:
  schemas:
    ThirdPartyProviderEnum:
      description: The third party provider of the remote user.
      enum:
        - AUTH0
        - SLACK
        - GOOGLE_CHAT
        - JIRA
        - LINEAR
        - SERVICE_NOW
        - FRESH_SERVICE
        - SHORTCUT
        - PAGER_DUTY
        - OPSGENIE
        - GIT_HUB
        - GIT_LAB
        - GIT_LAB_CONNECTION
        - TELEPORT
      example: GIT_HUB
      type: string
    PaginatedRemoteUsersList:
      example:
        next: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
        previous: cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ
        results:
          - user_id: 29827fb8-f2dd-4e80-9576-28e31e9934ac
            remote_id: 1234567890
            third_party_provider: GIT_LAB
          - user_id: 29827fb8-f2dd-4e80-9576-238979927392
            remote_id: remoteid123
            third_party_provider: GIT_HUB
      properties:
        next:
          description: >-
            The cursor with which to continue pagination if additional result
            pages exist.
          example: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
          nullable: true
          type: string
        previous:
          description: The cursor used to obtain the current result page.
          example: cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ
          nullable: true
          type: string
        results:
          items:
            $ref: '#/components/schemas/RemoteUser'
          type: array
      type: object
      required:
        - results
    RemoteUser:
      description: |-
        # RemoteUser Object
        ### Description
        The `RemoteUser` object is used to represent a remote user.
      example:
        user_id: 29827fb8-f2dd-4e80-9576-28e31e9934ac
        remote_id: 1234567890
        third_party_provider: GIT_HUB
      properties:
        user_id:
          description: The ID of the user.
          example: 29827fb8-f2dd-4e80-9576-28e31e9934ac
          format: uuid
          type: string
        remote_id:
          description: The ID of the remote user.
          example: 1234567890
          type: string
        third_party_provider:
          $ref: '#/components/schemas/ThirdPartyProviderEnum'
          description: The third party provider of the remote user.
          example: GIT_HUB
      required:
        - user_id
        - remote_id
        - third_party_provider
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````